Signals | Public Member Functions | Private Slots | Private Attributes

# XbInterface Class Reference

Interfaces Digi XBee2 module via serial port. More...

`#include <xbinterface.h>`

Inheritance diagram for XbInterface:
[legend]
Collaboration diagram for XbInterface:
[legend]

List of all members.

## Signals
void | newPacketReceived (QByteArray data)
## Public Member Functions
| XbInterface (QString param, QObject *parent=0)
void | sendPacket (XbPacket &packet)
## Private Slots
void | onReadyRead ()
## Private Attributes
QextSerialPort * | mXbeePort
char | mBuffer [100]
int | mState
int | mSize
int | mIndex

## Detailed Description

Interfaces Digi XBee2 module via serial port.

Definition at line 31 of file xbinterface.h.

## Constructor & Destructor Documentation

XbInterface::XbInterface | ( | QString | param,
|  | QObject * | parent = `0` |
| ) |  |  |

Definition at line 22 of file xbinterface.cpp.

References mIndex, mSize, mState, mXbeePort, and onReadyRead().

Here is the call graph for this function:

## Member Function Documentation

void XbInterface::newPacketReceived | ( | QByteArray | data | ) | `[signal]`

Referenced by onReadyRead().

Here is the caller graph for this function:

void XbInterface::onReadyRead | ( |  | ) | `[private, slot]`

Definition at line 44 of file xbinterface.cpp.

References mBuffer, mIndex, mSize, mState, mXbeePort, newPacketReceived(), and XbPacket::valid().

Referenced by XbInterface().

Here is the call graph for this function:

Here is the caller graph for this function:

void XbInterface::sendPacket | ( | XbPacket & | packet | ) |

Definition at line 98 of file xbinterface.cpp.

References XbPacket::frameData(), and mXbeePort.

Referenced by ShXbee::sendPacket(), and ShXbee::updatePins().

Here is the call graph for this function:

Here is the caller graph for this function:

## Member Data Documentation

char XbInterface::mBuffer[100]`[private]`

Definition at line 49 of file xbinterface.h.

Referenced by onReadyRead().

int XbInterface::mIndex`[private]`

Definition at line 52 of file xbinterface.h.

Referenced by onReadyRead(), and XbInterface().

int XbInterface::mSize`[private]`

Definition at line 51 of file xbinterface.h.

Referenced by onReadyRead(), and XbInterface().

int XbInterface::mState`[private]`

Definition at line 50 of file xbinterface.h.

Referenced by onReadyRead(), and XbInterface().

QextSerialPort* XbInterface::mXbeePort`[private]`

Definition at line 47 of file xbinterface.h.

Referenced by onReadyRead(), sendPacket(), and XbInterface().

The documentation for this class was generated from the following files:

- shxbee/xbinterface.h
- shxbee/xbinterface.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends